Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class DeleteAllQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ModifyQuery
oracle.toplink.queryframework.DeleteAllQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class DeleteAllQuery
extends ModifyQuery

Purpose: Query used to delete a collection of objects

Responsibilities:

- Stores & retrieves the objects to delete.
- Store the where clause used for the deletion.

Since:
  TOPLink/Java 1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`DeleteAllQuery()`

Method Summary
`java.util.Vector` | `getObjects()` PUBLIC: Return the objects that are to be deleted
`java.lang.Class` | `getReferenceClass()` PUBLIC: Return the reference class of the query.
`void` | `setObjects(java.util.Vector objectCollection)` PUBLIC (REQUIRED): Set the objects to be deleted.
`void` | `setReferenceClass(java.lang.Class aClass)` PUBLIC (REQUIRED): Set the reference class for the query

Methods inherited from class oracle.toplink.queryframework.ModifyQuery
`forceBatchStatementExecution, isModifyQuery, setForceBatchStatementExecution`

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDataReadQuery, isDeleteObjectQuery, isExpressionQuery, isInsertObjectQuery, isObjectLevelModifyQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReadQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, isWriteObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteAllQuery

    public DeleteAllQuery()

Method Detail

### getObjects

    public java.util.Vector getObjects()

  PUBLIC: Return the objects that are to be deleted

### getReferenceClass

    public java.lang.Class getReferenceClass()

  PUBLIC: Return the reference class of the query.
  Overrides:
    `getReferenceClass` in class `DatabaseQuery`

### setObjects

    public void setObjects(java.util.Vector objectCollection)

  PUBLIC (REQUIRED): Set the objects to be deleted. Also REQUIRED is a selection criteria or SQL string that performs the deletion of the objects. This does not generate the SQL call from the deleted objects. #setObject() should not be called.

### setReferenceClass

    public void setReferenceClass(java.lang.Class aClass)

  PUBLIC (REQUIRED): Set the reference class for the query

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD